Public Types | Public Member Functions | Public Attributes | Friends | List of all members
RagTime5ClusterManager::Link Struct Reference

a link to a small zone (or set of zones) in RagTime 5/6 documents More...

`#include <RagTime5ClusterManager.hxx>`

## Public Types
enum | Type { L_ClusterLink, L_LinkDef, L_LongList, L_UnicodeList, L_FieldsList, L_List, L_UnknownClusterC, L_Unknown }
| the link type More...

## Public Member Functions
| Link (Type type=L_Unknown)
| constructor More...
bool | empty () const
| returns true if all link are empty More...
std::string | getZoneName () const
| returns the zone name More...

## Public Attributes
Type | m_type
| the link type More...
std::string | m_name
| the link name More...
std::vector< int > | m_ids
| the data ids More...
int | m_N
| the number of data ( or some flag if m_N & 0x8020) More...
int | m_fieldSize
| the field size More...
long | m_fileType [2]
| the zone type in file More...
std::vector< long > | m_longList
| a list of long used to store decal More...

## Friends
std::ostream & | operator<< (std::ostream &o, Link const &z)
| operator<< More...

## Detailed Description

a link to a small zone (or set of zones) in RagTime 5/6 documents

## Member Enumeration Documentation

## ◆ Type

enum RagTime5ClusterManager::Link::Type

the link type

Enumerator
L_ClusterLink |
L_LinkDef |
L_LongList |
L_UnicodeList |
L_FieldsList |
L_List |
L_UnknownClusterC |
L_Unknown |

## Constructor & Destructor Documentation

## ◆ Link()

RagTime5ClusterManager::Link::Link | ( | Type | type = `L_Unknown` | ) |
| inline explicit

constructor

## Member Function Documentation

## ◆ empty()

bool RagTime5ClusterManager::Link::empty | ( |  | ) | const
| inline

returns true if all link are empty

Referenced by RagTime5TextInternal::TextCParser::parseDataZone(), RagTime5ClusterManagerInternal::ColPatCParser::parseZone(), RagTime5Chart::readChartCluster(), RagTime5Parser::readClusterLinkList(), RagTime5ClusterManager::readClusterMainList(), RagTime5Parser::readClusterRootData(), RagTime5StyleManager::readFormats(), RagTime5Graph::readGraphicShapes(), RagTime5Graph::readGraphicTransformations(), RagTime5Graph::readGraphicTypes(), and RagTime5Parser::readStructZone().

## ◆ getZoneName()

std::string RagTime5ClusterManager::Link::getZoneName | ( |  | ) | const
| inline

returns the zone name

Referenced by RagTime5Parser::readClusterLinkList(), RagTime5Parser::readFixedSizeZone(), and RagTime5Parser::readListZone().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Link const & | z
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_fieldSize

int RagTime5ClusterManager::Link::m_fieldSize

the field size

Referenced by RagTime5TextInternal::TextCParser::parseDataZone(), RagTime5TextInternal::TextCParser::parseHeaderZone(), RagTime5GraphInternal::GraphicCParser::parseHeaderZone(), RagTime5ClusterManagerInternal::ColPatCParser::parseZone(), RagTime5Spreadsheet::readCellBlocks(), RagTime5Spreadsheet::readCellRefPos(), RagTime5Parser::readClusterLinkList(), RagTime5Parser::readFixedSizeZone(), RagTime5Graph::readGraphicTransformations(), RagTime5ClusterManager::ClusterParser::readLinkHeader(), RagTime5Text::readLinkZones(), RagTime5Parser::readLongList(), RagTime5Spreadsheet::readSheetDimensions(), and RagTime5Spreadsheet::readValuesTree().

## ◆ m_fileType

long RagTime5ClusterManager::Link::m_fileType[2]

the zone type in file

Referenced by RagTime5GraphInternal::GraphicCParser::parseHeaderZone(), RagTime5ClusterManagerInternal::ColPatCParser::parseZone(), RagTime5Parser::readClusterFieldsData(), RagTime5ClusterManager::ClusterParser::readLinkHeader(), and RagTime5Parser::readUnknownClusterCData().

## ◆ m_ids

std::vector<int> RagTime5ClusterManager::Link::m_ids

the data ids

Referenced by RagTime5ClusterManagerInternal::RootCParser::parseDataZone(), RagTime5TextInternal::TextCParser::parseDataZone(), RagTime5SpreadsheetInternal::SpreadsheetCParser::parseHeaderZone(), RagTime5ClusterManagerInternal::ColPatCParser::parseZone(), RagTime5ClusterManagerInternal::ScriptCParser::parseZone(), RagTime5Parser::readClusterGProp(), RagTime5Parser::readClusterLinkList(), RagTime5Parser::readClusterRootData(), RagTime5Parser::readClusterScriptData(), RagTime5ClusterManager::readFieldClusters(), RagTime5Text::readFieldZones(), RagTime5Parser::readFixedSizeZone(), RagTime5StyleManager::readFormats(), RagTime5Graph::readGraphicShapes(), RagTime5Graph::readGraphicTransformations(), RagTime5Graph::readGraphicTypes(), RagTime5ClusterManager::ClusterParser::readLinkHeader(), RagTime5Text::readLinkZones(), RagTime5Parser::readListZone(), RagTime5Parser::readLongList(), RagTime5Text::readPLCToCharStyle(), RagTime5Spreadsheet::readSpreadsheetCluster(), RagTime5Parser::readStructZone(), RagTime5ClusterManager::readUnknownClusterC(), RagTime5Parser::readUnknownClusterCData(), and RagTime5Text::send().

## ◆ m_longList

std::vector<long> RagTime5ClusterManager::Link::m_longList

a list of long used to store decal

Referenced by RagTime5Chart::readChartCluster(), RagTime5Text::readFieldZones(), RagTime5StyleManager::readFormats(), RagTime5Graph::readGraphicShapes(), RagTime5Graph::readGraphicTypes(), RagTime5Text::readLinkZones(), RagTime5Parser::readListZone(), RagTime5Parser::readLongList(), and RagTime5Parser::readStructZone().

## ◆ m_N

int RagTime5ClusterManager::Link::m_N

the number of data ( or some flag if m_N & 0x8020)

Referenced by RagTime5TextInternal::TextCParser::parseHeaderZone(), RagTime5ClusterManagerInternal::ColPatCParser::parseZone(), RagTime5Spreadsheet::readCellBlocks(), RagTime5Spreadsheet::readCellRefPos(), RagTime5Parser::readClusterLinkList(), RagTime5Parser::readFixedSizeZone(), RagTime5Graph::readGraphicTransformations(), RagTime5ClusterManager::ClusterParser::readLinkHeader(), RagTime5Text::readLinkZones(), RagTime5Text::readPLCToCharStyle(), RagTime5Spreadsheet::readSheetDimensions(), RagTime5Spreadsheet::readSpreadsheetCluster(), and RagTime5Spreadsheet::readValuesTree().

## ◆ m_name

std::string RagTime5ClusterManager::Link::m_name

the link name

Referenced by RagTime5ClusterManagerInternal::ScriptCParser::parseZone(), RagTime5Parser::readClusterLinkList(), and RagTime5Parser::readLongList().

## ◆ m_type

Type RagTime5ClusterManager::Link::m_type

the link type

Referenced by RagTime5ClusterManagerInternal::RootCParser::parseDataZone(), RagTime5SpreadsheetInternal::SpreadsheetCParser::parseHeaderZone(), RagTime5ClusterManagerInternal::ScriptCParser::parseZone(), RagTime5ClusterManager::ClusterParser::readLinkHeader(), and RagTime5Parser::readUnknownClusterCData().

The documentation for this struct was generated from the following file:

- RagTime5ClusterManager.hxx